/* 
 * Author: Jan Odvarko, www.janodvarko.cz
 */

FBL.ns(function() { with (FBL) { 

var panelName = "HelloWorld";

/**
 * Model implementation.
 */
Firebug.HelloWorldModel = extend(Firebug.Module, 
{ 
    showPanel: function(browser, panel) { 
      var isHwPanel = panel && panel.name == panelName; 
      var hwButtons = browser.chrome.$("fbHelloWorldButtons"); 
      collapse(hwButtons, !isHwPanel); 
    },

    onMyButton: function(context) {
      alert("Hello World!");
    },
    
    onDisableNetMonitoring: function(context) {
      alert("OK, the click is handled");
    }
}); 

/**
 * Panel implementation
 */
function HelloWorldPanel() {} 
HelloWorldPanel.prototype = extend(Firebug.Panel, 
{ 
    name: panelName, 
    title: "Hello World!", 

    initialize: function() {
      Firebug.Panel.initialize.apply(this, arguments);
    }    
}); 

/**
 * Registration
 */
Firebug.registerPanel(HelloWorldPanel); 
Firebug.registerModule(Firebug.HelloWorldModel); 

}});
